lalr_transition

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.java_cup
Class lalr_transition

    java.lang.Object
      weka.core.parser.java_cup.lalr_transition

    public class lalr_transition

extends java.lang.Object

This class represents a transition in an LALR viable prefix recognition machine. Transitions can be under terminals for non-terminals. They are internally linked together into singly linked lists containing all the transitions out of a single state via the _next field.

Version:
  last updated: 11/25/95
Author:
  Scott Hudson
See Also:
  `lalr_state`

Constructor Summary
`lalr_transition(symbol on_sym, lalr_state to_st)` Constructor with null next.
`lalr_transition(symbol on_sym, lalr_state to_st, lalr_transition nxt)` Full constructor.

Method Summary
`lalr_transition` | `next()` Next transition in linked list of transitions out of a state
`symbol` | `on_symbol()` The symbol we make the transition on.
`lalr_state` | `to_state()` The state we transition to.
`java.lang.String` | `toString()` Convert to a string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### lalr_transition

    public lalr_transition(symbol on_sym,
                           lalr_state to_st,
                           lalr_transition nxt)
                    throws internal_error

  Full constructor.

  Parameters:
    `on_sym` - symbol we are transitioning on.
    `to_st` - state we transition to.
    `nxt` - next transition in linked list.
  Throws:
    `internal_error`

### lalr_transition

    public lalr_transition(symbol on_sym,
                           lalr_state to_st)
                    throws internal_error

  Constructor with null next.

  Parameters:
    `on_sym` - symbol we are transitioning on.
    `to_st` - state we transition to.
  Throws:
    `internal_error`

Method Detail

### on_symbol

    public symbol on_symbol()

  The symbol we make the transition on.

### to_state

    public lalr_state to_state()

  The state we transition to.

### next

    public lalr_transition next()

  Next transition in linked list of transitions out of a state

### toString

    public java.lang.String toString()

  Convert to a string.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD